# Face Match

`POST` `https://secctrl.tutelar.io/api/v1/kyc/vision/face_match`

## Post parameters description is given below

| Post Parameter | Type   | Is Mandatory | Description                         |
| -------------- | ------ | -----------: | ----------------------------------- |
| selfie         | String |          Yes | Selfie Image Url or Base64 String   |
| id\_card       | String |          Yes | Document Image Url or Base64 String |

## Sample Post Parameters

```json
{
  "selfie": "Image URL/Base64 String",
  "id_card": "Image URL/Base64 String"
}
```

200: Success Response

400: Validation Error Response

200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "ffebbc0a-278e-43a9-9b86-0ed74f3a8a3e",
  "status": "completed",
  "result": {
    "match": "yes",
    "match_score": 97,
    "confidence": 98,
    "to_be_reviewed": "no"
  },
  "requested_at": "2023-01-12T08:53:04.074Z",
  "completed_at": "2024-08-28T07:53:04.525Z"
}
```

```json
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Selfie image should not be empty",
    "field": "selfie",
    "code": "BAD_REQUEST"
  }
}
```

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "76d049e8-e9eb-4095-8926-74235763cf8a",
  "status": "failed",
  "error": {
    "message": "Verification Failed.",
    "code": "ERROR"
  },
  "requested_at": "2024-03-18T05:12:26.884Z",
  "completed_at": "2024-03-18T05:12:27.305Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/face-match.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
